<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Concerns\HasUuids;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Department extends Model
{
    use HasFactory, HasUuids;

    protected $fillable = [
        'department_code',
        'department_name'
    ];

    public function careers()
    {
        return $this->belongsToMany(Career::class);
    }

    public function students()
    {
        return $this->hasMany(Student::class);
    }
}
